playerc_blackboard Struct Reference
blackboard

BlackBoard proxy. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
void(* | on_blackboard_event )(struct playerc_blackboard *, player_blackboard_entry_t)
| Function to be called when a key is updated. More...
void * | py_private
| Kludge to get around python callback issues. More...

## Detailed Description

BlackBoard proxy.

## Member Data Documentation

playerc_device_t playerc_blackboard::info

Device info; must be at the start of all device structures.

void(* playerc_blackboard::on_blackboard_event)(struct playerc_blackboard *, player_blackboard_entry_t)

Function to be called when a key is updated.

void* playerc_blackboard::py_private

Kludge to get around python callback issues.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45